It is important to check your server compatibility before installing Joomla. Joomla 3.x has higher technical requirements than its predecessor versions.

You will need hosting space - a place on a web server where you can set up your site, making it accessible for anyone with Internet access. Your hosting account should support the PHP scripting language, MySQL, and it has to run the Apache server software.

Software

  • PHP Software: 5.3.1 + (Magic Quotes GPC off)

PHP is the scriptinglanguage that Joomla is written in.

Supported Databases

  • MySQL (InnoDB support required): 5.1 +
  • MSSQL: 10.50.1600.1 +
  • PostgreSQL: 8.3.18 +

The MySQL databaseis where Joomla stores its data (the contents of your site).

Supported Web Servers

  • Apache (with mod_mysql, mod_xml, and mod_zlib): 2.x +
  • Nginx: 1.0 (1.1 Recommended)
  • Microsoft IIS: 7

Apache is the web server software thatprocesses the PHP instructions for how to pull in contents from the database and display a web page.

Check out technical requirements from Joomla official website